# dmxscrinit.h File Reference

`#include "scrnintstr.h"`

Go to the source code of this file.

## Functions

Bool | dmxScreenInit (int idx, ScreenPtr pScreen, int argc, char *argv[])
void | dmxBEScreenInit (int idx, ScreenPtr pScreen)
void | dmxBECloseScreen (ScreenPtr pScreen)

## Variables

int | dmxScreenPrivateIndex

## Detailed Description

Interface for screen initialization.

See also:
  dmxscrinit.c

## Function Documentation

void dmxBECloseScreen | ( | ScreenPtr | pScreen | ) |

| Close the pScreen resources on the back-end server.

void dmxBEScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen
| ) |

| Initialize the parts of screen idx that require access to the back-end server.

Bool dmxScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen,
|  | int | argc,
|  | char * | argv[]
| ) |

| Initialize screen number idx.

## Variable Documentation

int dmxScreenPrivateIndex

| Private index for Screens

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>